Skip to main content

πŸš€ Quickstart

Connect to Cloudbeds with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Cloudbeds.
2

Authorize Cloudbeds

Go to Connections -> Add Test Connection -> Authorize, then log in to Cloudbeds. Later, you’ll let your users do the same directly from your app.
3

Call the Cloudbeds API

Let’s make your first request to the Cloudbeds API. Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/api/v1.3/userinfo" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.βœ… You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

πŸ“š Cloudbeds Integration Guides

Nango-maintained guides for common use cases. Official docs: Cloudbeds API Documentation